#define  F_CPU    2000000UL
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include "hd44780.h"

int main(void) {
	
	// przyciski
	PORTE.DIRCLR	=	PIN5_bm;					// pin E5 jako wejcie (przycisk FLIP)
	PORTE.PIN5CTRL	=	PORT_OPC_PULLUP_gc|			// podcignicie do zasilania
						PORT_ISC_FALLING_gc;		// zdarzenie mam wysoywa zbocze malejce
	
	// konfiguracja systemu zdarze
	EVSYS.CH0MUX	=	EVSYS_CHMUX_PORTE_PIN5_gc;	// pinE5 wywouje zdarzenie
	EVSYS.CH0CTRL	=	EVSYS_DIGFILT_7SAMPLES_gc;	// filtr cyfrowy
	
	// konfiguracja timera
	TCC0.CTRLB		=	TC_WGMODE_NORMAL_gc;		// tryb normalny
	TCC0.CTRLA		=	TC_CLKSEL_EVCH0_gc;			// ustawienie rda sygnay na kana 0 systemu zdarze
	
	// wywietlacz
	LcdInit();
	
	while(1) {
		// wywietlenie aktualnej wartoci licznika CNT
		// CNT = ...
		LcdClear();
		Lcd("CNT = ");
		LcdDec(TCC0.CNT);
		_delay_ms(100);								// czekanie 100ms
	}
}